Summary:        What modules are shipped with versions of perl
Name:           perl-Module-CoreList
Version:        5.20230720
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-CoreList
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-CoreList-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter  
BuildRequires:  perl(Config) perl(strict) perl(warnings) 
BuildRequires:  perl(Test::More) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(List::Util) perl(version) >= 0.88
Requires:       perl(List::Util) perl(version) >= 0.88   

BuildArch:      noarch

%global __requires_exclude ^perl\\(version\\)$

%description
Module::CoreList provides information on which core and dual-life modules shipped with each
version of perl. It provides a number of mechanisms for querying this information. There is 
a utility called corelist provided with this module which is a convenient way of querying 
from the command-line. There is a functional programming API available for programmers to 
query information. 

%package tools
Summary:        Tool for listing modules shipped with perl
Requires:       perl(feature)
Requires:       perl(version) >= 0.88
Requires:       perl-Module-CoreList = %{version}-%{release}

%description tools
This package provides a corelist(1) tool which can be used to query what
modules were shipped with given perl version.

%prep
%autosetup -n Module-CoreList-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tools
%doc README
%{_bindir}/corelist
%{_mandir}/man1/corelist.*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20230720-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20230720-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20230720-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 5.20230720-1
- Upgrade to upstream version 5.20230720
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20220720-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.20220720-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Wang Zhe <bessiewang@tencent.com> - 5.20220720-1
- initial build
